/*-
 * ============LICENSE_START=======================================================
 * SDC
 * ================================================================================
 * Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

import * as _ from "lodash";
import { Module } from "app/models";
/**
 * Created by obarda on 12/21/2016.
 */

export class DeploymentGraphGeneralUtils {

    constructor() {

    }

    public findInstanceModule = (groupsArray: Array<Module>, componentInstanceId: string): string => {
        let parentGroup: Module = _.find(groupsArray, (group: Module) => {
            return _.find((<any>Object).values(group.members), (member: string) => {
                return member === componentInstanceId;
            });
        });
        return parentGroup ? parentGroup.uniqueId : "";
    };
}

DeploymentGraphGeneralUtils.$inject = [];
